﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Storage";
}

<div class="row text-start">
    <p><a href="/" class="link-primary text-decoration-none">Home</a></p>
</div>
<div>
    <div class="row table_header mb-2">
        <p class="col-sm-3 mb-2 text-start fw-bold">Storage Details</p>
        <div class="col-sm-9 mb-2 text-start text-sm-end d-inline-block">
            <form method="get">
                <input type="text" id="search" name="search" placeholder="Product Name" maxlength="30" />
                <select id="filter" name="filter">
                    @if (string.IsNullOrEmpty(Model.sFilter))
                    {
                        <option value="all" selected>All Products</option>
                        <option value="unexpired">Unexpired Products</option>
                        <option value="expired">Expired Products</option>
                    }
                    else if ("unexpired" == Model.sFilter)
                    {
                        <option value="all">All Products</option>
                        <option value="unexpired" selected>Unexpired Products</option>
                        <option value="expired">Expired Products</option>
                    }
                    else if ("expired" == Model.sFilter)
                    {
                        <option value="all">All Products</option>
                        <option value="unexpired">Unexpired Products</option>
                        <option value="expired" selected>Expired Products</option>
                    }
                </select>
                <button type="submit" value="Search" class="btn btn-sm btn-primary text-light">Search</button>
            </form>
        </div>
    </div>
    <div class="text-center table_section">
        <table class="table table-bordered table-striped table-hover align-middle">
            <thead>
                <tr>
                    <th>No</th>
                    <th>Product Name</th>
                    <th>Quantity</th>
                    <th>ManufactureDate</th>
                    <th>ExpiryDate</th>
                </tr>
            </thead>

            <tbody>
                @if (Model.storageList.Count > 0)
                {
                    int j = Model.page.ItemStart - 1;
                    for (int i = Model.page.ItemStart; i <= Model.page.ItemEnd; i++)
                    {
                        <tr>
                            <td>@i</td>
                            <td>@Model.storageList[j].ProductName</td>
                            <td>@Model.storageList[j].Quantity</td>
                            <td>@Model.storageList[j].ManufactureDate</td>
                            <td>@Model.storageList[j].ExpiryDate</td>
                        </tr>
                        j++;
                    }
                }
                else
                {
                    <tr>
                        <td colspan="5" class="text-center fw-bold">No data available</td>
                    </tr>
                }
            </tbody>
        </table>
    </div>

    <div class="row table_pagination">
        @if (Model.storageList.Count > 0)
        {
            <div class="col-3">
                <p class="pagination">From @Model.page.ItemStart to @Model.page.ItemEnd of @Model.page.ItemTotal</p>
            </div>
            <div class="col-9">
                <nav aria-label="Page navigation">
                    <ul class="pagination justify-content-end">
                        @for (uint i = 1; i <= Model.page.Total; i++)
                        {
                            if (i == Model.page.Index)
                            {
                                <li class="page-item active"><a class="page-link" href="/product/?search=@Model.sKeyword&page=@i">@i</a></li>
                            }
                            else
                            {
                                <li class="page-item"><a class="page-link" href="/product/?search=@Model.sKeyword&page=@i">@i</a></li>
                            }
                        }
                    </ul>
                </nav>
            </div>
        }
    </div>
</div>

